cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/scim/v2/Groups/.search \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"attributes":"string","excludedAttributes":"string","filter":"string"}'{
"Resources": [
{
"displayName": "<string>",
"externalId": "<string>",
"id": "<string>",
"members": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"schemas": [
"<string>"
]
}
],
"itemsPerPage": 123,
"schemas": [
"<string>"
],
"totalResults": 123
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Similar to GetGroups however search parameters are passed via the POST body. See https://www.rfc-editor.org/rfc/rfc7644.html#section-3.4.3 for more details.
Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
POST
/
api
/
scim
/
v2
/
Groups
/
.search
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/scim/v2/Groups/.search \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"attributes":"string","excludedAttributes":"string","filter":"string"}'{
"Resources": [
{
"displayName": "<string>",
"externalId": "<string>",
"id": "<string>",
"members": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"schemas": [
"<string>"
]
}
],
"itemsPerPage": 123,
"schemas": [
"<string>"
],
"totalResults": 123
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

